<?php

$startTime = microtime(true);

$fileDir = dirname(__FILE__) . '/..';

if (file_exists($fileDir . '/301config.php'))
{
	include($fileDir . '/301config.php');
}

require($fileDir . '/library/XenForo/Autoloader.php');
XenForo_Autoloader::getInstance()->setupAutoloader($fileDir . '/library');

XenForo_Application::initialize($fileDir . '/library', $fileDir);
XenForo_Application::set('page_start_time', $startTime);

$target = false;
if (preg_match('#/archive/index.php(/|\?)(?<type>f|t)-(?<id>\d+)\.html#si', $_SERVER['REQUEST_URI'], $input))
{
	$importModel = XenForo_Model::create('XenForo_Model_Import');
	$target = false;

	switch ($input['type'])
	{
		case 'f':
		{
			if ($newId = $importModel->mapNodeId($input['id']))
			{
				$target = XenForo_Link::buildPublicLink('canonical:forums', array('node_id' => $newId));
			}
			break;
		}

		case 't':
		{
			if ($newId = $importModel->mapThreadId($input['id']))
			{
				$target = XenForo_Link::buildPublicLink('canonical:threads', array('thread_id' => $newId));
			}
			break;
		}
	}
}

if (!$target)
{
	$target = XenForo_Link::buildPublicLink('canonical:index');
}

$response = new Zend_Controller_Response_Http();
$response->setRedirect(XenForo_Link::convertUriToAbsoluteUri($target), 301);
$response->sendResponse();